Subject: Re: bug#38232: Cuirass: Some builds fail although their log file ends with 'build-succeeded'

From: Clément Lassieur <[email-masked]>
Date: Mon, 18 Nov 2019 18:03:46 +0100

Hi Ludovic,

> Perhaps the build failed (transient failure or something) but was
> eventually restarted either as a dependency of some other build or
> manually on berlin.  In that case Cuirass may be unaware that the build
> eventually succeeded, hence the discrepancy.

Thank you for the explanation.  Would it make sense to copy the log file
to some other place when the build is done?  The web interface would
fetch it there, and we would be sure it matches the associated Cuirass
build.

Clément